Luis Lavena wrote in post #979214:
> On Feb 2, 2:40pm, "Luis M." <lmayorga1... / gmail.com> wrote:
>> > Luis Lavena wrote in post #979202:
>>
>> >> Who will tell you the same thing, try Ruby 1.9.2
>>
>> > I will try this new version.
>>
>> I tried the new version Ruby 1.9.2, installing the win32-eventlog gem
>> but the same result.
>>
>> C:/Ruby192/lib/ruby/gems/1.9.1/gems/win32-eventlog-0.5.2/lib/win32/eventlog
> .rb:14:in
>> `[]': invalid byte sequence in US-ASCII (ArgumentError)
>
> First your script needs to be in the same encoding that eventlog is
> expecting.
>
> As I mentioned, please report this error/bug to win32utils developers
> in the provided link, they might be able to help you better.

You mean adding at the top of the script the following line.

# encoding: UTF-8

-- 
Posted via http://www.ruby-forum.com/.